petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESSetSolution

Sets the solution vector for use by the SNES routines.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetSolution(SNES snes, Vec u)

Logically Collective on SNES and Vec

### Input Parameters

| snes | - the SNES context obtained from SNESCreate()
| u | - the solution vector

### Keywords

SNES, set, solution

Level:beginner
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages